## libnm-qt 0.9.0

=== debian/changelog ===
libnm-qt (0.9.0-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1223738)
  * Update symbols.
  * Fix lintian warning for duplicating sections in debian/control.
  * Add a new libnetworkmanagerqt-dbg package for debugging symbols.
  * Bump debhelper version to 9.
  * Add debian/watch file. 

 -- Howard Chan <smartboyhw@gmail.com>  Wed, 11 Sep 2013 16:15:05 +0800

libnm-qt (0.0~git20130816-0ubuntu4) saucy; urgency=low

  * Update debian/libnetworkmanagerqt0.symbols for armhf and powerpc.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 20 Aug 2013 22:43:39 -0600

libnm-qt (0.0~git20130816-0ubuntu3) saucy; urgency=low

  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Aug 2013 17:05:26 +0100

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/unstable/networkmanagement/([\d\.]*)/src/libnm-qt-([\d\.]*).tar.xz

## libnm-qt 0.9.8.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(NetworkManagerQt)

set(VERSION 0.9.8.1)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_MODULE_PATH})
set(LIB_SUFFIX "" CACHE STRING "Define suffix of library directory name (32/64)" )
set(LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING
    "Library directory name")
set(PKGCONFIG_INSTALL_PREFIX "${LIB_DESTINATION}/pkgconfig/" CACHE STRING
    "Base directory for pkgconfig files")

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Debug)
endif()

find_package(Qt4 REQUIRED)
find_package(NetworkManager 0.9.8.0 REQUIRED)

if (DISABLE_MODEMMANAGERQT)
    message(STATUS "Disabling ModemManagerQt support")
    set(WITH_MODEMMANAGERQT 0)
else()
    pkg_check_modules(MODEMMANAGERQT ModemManagerQt)
    if (MODEMMANAGERQT_FOUND)
        message(STATUS "Enabling ModemManagerQt support")
        set(WITH_MODEMMANAGERQT 1)
    else()
        message(STATUS "ModemManagerQt not found")
        set(WITH_MODEMMANAGERQT 0)
    endif()
endif()

add_definitions(-DWITH_MODEMMANAGERQT=${WITH_MODEMMANAGERQT} ${QT_DEFINITIONS})

include(CheckCXXCompilerFlag)
check_cxx_compiler_flag("-Werror=return-type" HAVE_GCC_ERROR_RETURN_TYPE)
if (HAVE_GCC_ERROR_RETURN_TYPE)
    set(CMAKE_CXX_FLAGS "-Werror=return-type")
endif()

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/dbus
    ${CMAKE_CURRENT_SOURCE_DIR}/settings
    ${CMAKE_CURRENT_BUILD_DIR}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${CMAKE_INCLUDE_PATH}
    ${QT_INCLUDES}
    ${MODEMMANAGERQT_INCLUDE_DIRS}
    ${NETWORKMANAGER_INCLUDE_DIRS}
    ${NM-UTIL_INCLUDE_DIRS}
    ${NM-GLIB_INCLUDE_DIRS}
)
if (MODEMMANAGERQT_FOUND)
    include_directories(
        ${MODEMMANAGERQT_INCLUDE_DIRS}
    )
endif()
link_directories(${MODEMMANAGERQT_LIBRARY_DIRS} ${CMAKE_LIBRARY_PATH})

#add_subdirectory(dbus)

option(BUILD_EXAMPLES "Build example applications" FALSE)
if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif(BUILD_EXAMPLES)

option(DISABLE_TESTING "Disable unit tests" FALSE)
if (DISABLE_TESTING)
    message(STATUS "Disabling unit tests")
else()
    enable_testing(true)
    add_subdirectory(tests)
endif()

set(NetworkManagerQt_HEADERS
    accesspoint.h
    activeconnection.h
    adsldevice.h
    bluetoothdevice.h
    bonddevice.h
    bridgedevice.h
    connection.h
    device.h
    dhcp4config.h
    dhcp6config.h
    infinibanddevice.h
    ipaddress.h
    iproute.h
    ipconfig.h
    manager.h
    modemdevice.h
    olpcmeshdevice.h
    secretagent.h
    settings.h
    utils.h
    vlandevice.h
    vpnconnection.h
    vpnplugin.h
    wimaxdevice.h
    wimaxnsp.h
    wireddevice.h
    wirelessdevice.h
    wirelessnetwork.h
    generic-types.h
    NetworkManagerQt-export.h
)

set(NetworkManagerQt_PRIVATE_HEADERS
    manager_p.h
    settings_p.h
    #settings/template_p.h
)

set(NetworkManagerQt_PART_SRCS
    accesspoint.cpp
    activeconnection.cpp
    adsldevice.cpp
    bluetoothdevice.cpp
    bonddevice.cpp
    bridgedevice.cpp
    connection.cpp
    device.cpp
    dhcp4config.cpp
    dhcp6config.cpp
    infinibanddevice.cpp
    ipaddress.cpp
    iproute.cpp
    ipconfig.cpp
    manager.cpp
    modemdevice.cpp
    olpcmeshdevice.cpp
    secretagent.cpp
    settings.cpp
    utils.cpp
    vlandevice.cpp
    vpnconnection.cpp
    vpnplugin.cpp
    wimaxdevice.cpp
    wimaxnsp.cpp
    wireddevice.cpp
    wirelessdevice.cpp
    wirelessnetwork.cpp
    generic-types.cpp
)

set(DBUS_INTERFACE_SRCS
   dbus/nm-access-pointinterface.cpp
   dbus/nm-active-connectioninterface.cpp
   dbus/nm-agent-managerinterface.cpp
   dbus/nm-device-adslinterface.cpp
   dbus/nm-device-bondinterface.cpp
   dbus/nm-device-bridgeinterface.cpp
   dbus/nm-device-btinterface.cpp
   dbus/nm-device-ethernetinterface.cpp
   dbus/nm-device-infinibandinterface.cpp
   dbus/nm-device-modeminterface.cpp
   dbus/nm-device-olpc-meshinterface.cpp
   dbus/nm-device-vlaninterface.cpp
   dbus/nm-device-wifiinterface.cpp
   dbus/nm-device-wimaxinterface.cpp
   dbus/nm-deviceinterface.cpp
   dbus/nm-dhcp4-configinterface.cpp
   dbus/nm-dhcp6-configinterface.cpp
   dbus/nm-ip4-configinterface.cpp
   dbus/nm-ip6-configinterface.cpp
   dbus/nm-managerinterface.cpp
   dbus/nm-ppp-managerinterface.cpp
   #dbus/nm-secret-agentinterface.cpp
   dbus/nm-secret-agentadaptor.cpp
   dbus/nm-settings-connectioninterface.cpp
   dbus/nm-settingsinterface.cpp
   dbus/nm-vpn-connectioninterface.cpp
   dbus/nm-vpn-plugininterface.cpp
   dbus/nm-wimax-nspinterface.cpp
   )

set(CONNECTIONS_SETTINGS_SRCS
    settings/wiredsetting.cpp
    settings/olpcmeshsetting.cpp
    settings/wirelesssetting.cpp
    settings/wirelesssecuritysetting.cpp
    settings/security8021xsetting.cpp
    settings/adslsetting.cpp
    settings/bluetoothsetting.cpp
    settings/bondsetting.cpp
    settings/bridgesetting.cpp
    settings/bridgeportsetting.cpp
    settings/cdmasetting.cpp
    settings/connectionsettings.cpp
    settings/gsmsetting.cpp
    settings/ipv4setting.cpp
    settings/ipv6setting.cpp
    settings/infinibandsetting.cpp
    settings/pppsetting.cpp
    settings/pppoesetting.cpp
    settings/setting.cpp
    settings/serialsetting.cpp
    #settings/template.cpp
    settings/vlansetting.cpp
    settings/vpnsetting.cpp
    settings/wimaxsetting.cpp
    )

set(CONNECTIONS_SETTINGS_HEADERS
    settings/wiredsetting.h
    settings/olpcmeshsetting.h
    settings/wirelesssetting.h
    settings/wirelesssecuritysetting.h
    settings/security8021xsetting.h
    settings/adslsetting.h
    settings/bluetoothsetting.h
    settings/bondsetting.h
    settings/bridgesetting.h
    settings/bridgeportsetting.h
    settings/cdmasetting.h
    settings/connectionsettings.h
    settings/gsmsetting.h
    settings/ipv4setting.h
    settings/ipv6setting.h
    settings/infinibandsetting.h
    settings/pppsetting.h
    settings/pppoesetting.h
    settings/setting.h
    settings/serialsetting.h
    #settings/template.h
    settings/vlansetting.h
    settings/vpnsetting.h
    settings/wimaxsetting.h
    )

qt4_wrap_cpp(NetworkManagerQt_MOC ${NetworkManagerQt_PRIVATE_HEADERS})
qt4_automoc(${NetworkManagerQt_PART_SRCS})
qt4_automoc(${DBUS_INTERFACE_SRCS})

add_library(NetworkManagerQt SHARED ${NetworkManagerQt_PART_SRCS} ${DBUS_INTERFACE_SRCS} ${CONNECTIONS_SETTINGS_SRCS} ${NetworkManagerQt_MOC} )

if (MODEMMANAGERQT_FOUND)
target_link_libraries(NetworkManagerQt ModemManagerQt ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTNETWORK_LIBRARY})
else()
target_link_libraries(NetworkManagerQt ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTNETWORK_LIBRARY})
endif()

install(TARGETS NetworkManagerQt DESTINATION ${LIB_DESTINATION})
install(FILES ${NetworkManagerQt_HEADERS} DESTINATION include/NetworkManagerQt COMPONENT Devel)
install(FILES ${CONNECTIONS_SETTINGS_HEADERS} DESTINATION include/NetworkManagerQt/settings COMPONENT Devel)

set_property(TARGET NetworkManagerQt PROPERTY COMPILE_DEFINITIONS MAKE_NETWORKMANAGERQT_LIB)
set_property(TARGET NetworkManagerQt PROPERTY VERSION ${VERSION})
set_property(TARGET NetworkManagerQt PROPERTY SOVERSION 0)

message(STATUS "Writing pkg-config file...")
configure_file(${CMAKE_SOURCE_DIR}/NetworkManagerQt.pc.cmake ${CMAKE_BINARY_DIR}/NetworkManagerQt.pc @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/NetworkManagerQt.pc DESTINATION "${PKGCONFIG_INSTALL_PREFIX}")

add_subdirectory(include)

##################  apidox ################################
find_package(Doxygen)

if(DOXYGEN_EXECUTABLE)
  configure_file(${CMAKE_SOURCE_DIR}/.Doxyfile.cmake ${CMAKE_BINARY_DIR}/Doxyfile)

  if(EXISTS ${QT_DOC_DIR}/html)
    set(QTDOCS "${QT_DOC_DIR}/html")
  else(EXISTS ${QT_DOC_DIR}/html)
    set(QTDOCS "http://qt-project.org/doc/latest/")
  endif(EXISTS ${QT_DOC_DIR}/html)

  add_custom_target(
    apidox
    COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile)
endif(DOXYGEN_EXECUTABLE)

##################  uninstall target  ########################
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

=== include/CMakeLists.txt ===
set(NetworkManagerQt_CAMEL_HEADERS
    AccessPoint
    ActiveConnection
    AdslDevice
    BluetoothDevice
    BondDevice
    BridgeDevice
    Connection
    Device
    Dhcp4Config
    Dhcp6Config
    GenericTypes
    InfinibandDevice
    IpAddress
    IpConfig
    IpRoute
    Manager
    ModemDevice
    OlpcMeshDevice
    SecretAgent
    Settings
    Utils
    VlanDevice
    VpnConnection
    VpnPlugin
    WimaxDevice
    WimaxNsp
    WiredDevice
    WirelessDevice
    WirelessNetwork
)

install(FILES
   ${NetworkManagerQt_CAMEL_HEADERS}
   DESTINATION
   include/NetworkManagerQt COMPONENT Devel)

add_subdirectory(settings)

=== tests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

MACRO(LIBNM_TESTS)
       FOREACH(_testname ${ARGN})
            SET(test_${_testname}_SRCS ${_testname}.cpp)
            qt4_automoc(${test_${_testname}_SRCS})
            add_executable(test_${_testname} ${test_${_testname}_SRCS} ${test_${_testname}_HDRS} ${test_additional})
            target_link_libraries(test_${_testname} ${QT_QTCORE_LIBRARY}
                ${QT_QTTEST_LIBRARY} ${QT_QTGUI_LIBRARY} NetworkManagerQt)
            ADD_TEST(test_${_testname} test_${_testname})
       ENDFOREACH(_testname)
ENDMACRO(LIBNM_TESTS)

LIBNM_TESTS(
    8021xsetting
    adslsetting
    bluetoothsetting
    bondsetting
    bridgesetting
    bridgeportsetting
    cdmasetting
    connectionsetting
    gsmsetting
    infinibandsetting
    ipv4setting
    ipv6setting
    olpcmeshsetting
    pppsetting
    pppoesetting
    serialsetting
    vlansetting
    wimaxsetting
    wiredsetting
    wirelesssetting
    wirelesssecuritysetting
)

## libnm-qt 0.9.0.1

=== debian/changelog ===
libnm-qt (0.9.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #729971)
  * New patch: libdir.diff, use LIB_DESTINATION in CMakeLists.txt.
  * Update s390x symbols.
  * Update armhf symbols.
  * Set some optional flags to the symbols.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 04 Dec 2013 18:21:38 +0100

=== debian/control ===
Source: libnm-qt
Priority: extra
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 9), cmake (>= 2.8), libqt4-dev, pkg-config,
               libmodemmanagerqt-dev, libnm-glib-dev, libnm-util-dev,
               network-manager-dev
Standards-Version: 3.9.5
Section: libs
Homepage: https://projects.kde.org/projects/extragear/libs/libnm-qt
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/libnm-qt.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/libnm-qt.git

Package: libnetworkmanagerqt-dev
Section: libdevel
Architecture: any
Depends: libnetworkmanagerqt0 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for NetworkManager API -- development files
 Qt-only wrapper for NetworkManager API.
 .
 This package provides the development files.

Package: libnetworkmanagerqt0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt wrapper for NetworkManager API
 Qt-only wrapper for NetworkManager API.

Package: libnetworkmanagerqt-dbg
Section: debug
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libnetworkmanagerqt0 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for NetworkManager API -- debugging symbols
 Qt-only wrapper for NetworkManager API.
 .
 This package provides the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_DESTINATION=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_strip:
	dh_strip --dbg-package=libnetworkmanagerqt-dbg

## libnm-qt 0.9.8.1

=== debian/changelog ===
libnm-qt (0.9.8.1-0ubuntu2) trusty; urgency=medium

  * Add build-depeneds on modemmanager-dev, doxygen

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Feb 2014 13:03:22 +0000

libnm-qt (0.9.8.1-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * Add kubuntu_bump_soversion.diff for new ABI

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 17 Feb 2014 15:12:19 +0000

libnm-qt (0.9.0.1-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Update watch file
  * Update symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 23 Oct 2013 16:45:49 +0200

=== debian/control ===
Source: libnm-qt
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 9), cmake, libqt4-dev, pkg-config,
               libmodemmanagerqt-dev (>= 1.0.1), libnm-glib-dev, libnm-util-dev,
               network-manager-dev, modemmanager-dev (>= 1.0.0), doxygen
Standards-Version: 3.9.4
Section: libs
Homepage: https://projects.kde.org/projects/extragear/libs/libnm-qt

Package: libnetworkmanagerqt-dev
Section: libdevel
Architecture: any
Depends: libnetworkmanagerqt1 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for NetworkManager API -- development files
 Qt-only wrapper for NetworkManager API.
 .
 This package provides the development files.

Package: libnetworkmanagerqt1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt wrapper for NetworkManager API
 Qt-only wrapper for NetworkManager API.

Package: libnetworkmanagerqt-dbg
Section: debug
Architecture: any
Depends: libnetworkmanagerqt1 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for NetworkManager API -- debugging symbols
 Qt-only wrapper for NetworkManager API.
 .
 This package provides the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --dbg-package=libnetworkmanagerqt-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/networkmanager-qt/([\d\.]*)/src/libnm-qt-([\d\.]*).tar.xz

## libnm-qt 0.9.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,20 +2,17 @@
 
 project(NetworkManagerQt)
 
-set(VERSION 0.9.8.1)
+include(GNUInstallDirs)
+
+set(VERSION 0.9.8.2)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_MODULE_PATH})
-set(LIB_SUFFIX "" CACHE STRING "Define suffix of library directory name (32/64)" )
-set(LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING
-    "Library directory name")
-set(PKGCONFIG_INSTALL_PREFIX "${LIB_DESTINATION}/pkgconfig/" CACHE STRING
-    "Base directory for pkgconfig files")
 
 if (NOT CMAKE_BUILD_TYPE)
     set(CMAKE_BUILD_TYPE Debug)
 endif()
 
 find_package(Qt4 REQUIRED)
-find_package(NetworkManager 0.9.8.0 REQUIRED)
+find_package(NetworkManager 0.9.8.4 REQUIRED)
 
 if (DISABLE_MODEMMANAGERQT)
     message(STATUS "Disabling ModemManagerQt support")
@@ -36,7 +33,7 @@
 include(CheckCXXCompilerFlag)
 check_cxx_compiler_flag("-Werror=return-type" HAVE_GCC_ERROR_RETURN_TYPE)
 if (HAVE_GCC_ERROR_RETURN_TYPE)
-    set(CMAKE_CXX_FLAGS "-Werror=return-type")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror=return-type")
 endif()
 
 include_directories(
@@ -243,17 +240,17 @@
 target_link_libraries(NetworkManagerQt ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTNETWORK_LIBRARY})
 endif()
 
-install(TARGETS NetworkManagerQt DESTINATION ${LIB_DESTINATION})
-install(FILES ${NetworkManagerQt_HEADERS} DESTINATION include/NetworkManagerQt COMPONENT Devel)
-install(FILES ${CONNECTIONS_SETTINGS_HEADERS} DESTINATION include/NetworkManagerQt/settings COMPONENT Devel)
+install(TARGETS NetworkManagerQt DESTINATION ${CMAKE_INSTALL_LIBDIR})
+install(FILES ${NetworkManagerQt_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/NetworkManagerQt COMPONENT Devel)
+install(FILES ${CONNECTIONS_SETTINGS_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/NetworkManagerQt/settings COMPONENT Devel)
 
 set_property(TARGET NetworkManagerQt PROPERTY COMPILE_DEFINITIONS MAKE_NETWORKMANAGERQT_LIB)
 set_property(TARGET NetworkManagerQt PROPERTY VERSION ${VERSION})
-set_property(TARGET NetworkManagerQt PROPERTY SOVERSION 0)
+set_property(TARGET NetworkManagerQt PROPERTY SOVERSION 1)
 
 message(STATUS "Writing pkg-config file...")
 configure_file(${CMAKE_SOURCE_DIR}/NetworkManagerQt.pc.cmake ${CMAKE_BINARY_DIR}/NetworkManagerQt.pc @ONLY)
-install(FILES ${CMAKE_BINARY_DIR}/NetworkManagerQt.pc DESTINATION "${PKGCONFIG_INSTALL_PREFIX}")
+install(FILES ${CMAKE_BINARY_DIR}/NetworkManagerQt.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 
 add_subdirectory(include)

=== include/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,6 @@
 install(FILES
    ${NetworkManagerQt_CAMEL_HEADERS}
    DESTINATION
-   include/NetworkManagerQt COMPONENT Devel)
+   ${CMAKE_INSTALL_INCLUDEDIR}/NetworkManagerQt COMPONENT Devel)
 
 add_subdirectory(settings)

=== include/settings/CMakeLists.txt ===
set(NetworkManagerQt_settings_CAMEL_HEADERS
    Security8021xSetting
    AdslSetting
    BluetoothSetting
    BondSetting
    BridgeSetting
    BridgePortSetting
    CdmaSetting
    ConnectionSettings
    GsmSetting
    WiredSetting
    InfinibandSetting
    Ipv4Setting
    Ipv6Setting
    OlpcMeshSetting
    PppSetting
    PppoeSetting
    SerialSetting
    Setting
    VlanSetting
    VpnSetting
    WimaxSetting
    WirelessSetting
    WirelessSecuritySetting
)

install(FILES
   ${NetworkManagerQt_settings_CAMEL_HEADERS}
   DESTINATION
   ${CMAKE_INSTALL_INCLUDEDIR}/NetworkManagerQt COMPONENT Devel)

=== debian/changelog ===
libnm-qt (0.9.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch: do_not_override_cflags, applied upstream.
  * Remove patch: kubuntu_bump_soversion.diff, applied upstream.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jul 2014 13:11:06 +0200

libnm-qt (0.9.8.1-3) unstable; urgency=medium

  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Apr 2014 11:20:56 +0200

libnm-qt (0.9.8.1-2) unstable; urgency=medium

  * Add lintian-override for missing-build-dependency-for-dh_-command,
    dh-acc is used in the autopkgtests.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 29 Mar 2014 09:43:11 +0100

libnm-qt (0.9.8.1-1) experimental; urgency=medium

  * New upstream release.
  * Remove patch: libdir.diff, applied upstream.
  * Aesthetic change, further reduce rules file.
  * Update build dependencies.
  * New patch: do_not_override_cflags
  * Import kubuntus soversion bump.
  * Add autopkgtests and acc info.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 03 Mar 2014 11:46:01 +0100

=== debian/control ===
Source: libnm-qt
Priority: extra
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               libmodemmanagerqt-dev (>= 1),
               libnm-glib-dev,
               libnm-util-dev,
               libqt4-dev,
               modemmanager-dev,
               network-manager-dev (>= 0.9.8.1),
               pkg-config
Standards-Version: 3.9.5
Section: libs
Homepage: https://projects.kde.org/projects/extragear/libs/libnm-qt
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/libnm-qt.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/libnm-qt.git

Package: libnetworkmanagerqt-dev
Section: libdevel
Architecture: any
Depends: libnetworkmanagerqt1 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for NetworkManager API -- development files
 Qt-only wrapper for NetworkManager API.
 .
 This package provides the development files.

Package: libnetworkmanagerqt1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt wrapper for NetworkManager API
 Qt-only wrapper for NetworkManager API.

Package: libnetworkmanagerqt-dbg
Section: debug
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libnetworkmanagerqt1 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for NetworkManager API -- debugging symbols
 Qt-only wrapper for NetworkManager API.
 .
 This package provides the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --dbg-package=libnetworkmanagerqt-dbg

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_DESTINATION=/usr/lib/$(DEB_HOST_MULTIARCH)

run_dh_acc:
	# The package needs to be installed (@ in autopkgtest)
	for in_file in debian/*.acc.in; do \
	    out_file=$${in_file%.in}; \
	    sed 's/@DEB_HOST_MULTIARCH@/'"$(DEB_HOST_MULTIARCH)"'/' \
	        "$${in_file}" > "$${out_file}"; \
	done

	dh_acc

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential
Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: rw-build-tree

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/unstable/networkmanager-qt/([\d\.]*)/src/libnm-qt-([\d\.]*).tar.xz

## libnm-qt 0.9.8.4

=== debian/changelog ===
libnm-qt (0.9.8.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 18 May 2015 19:35:37 +0200

=== debian/watch ===
version=3
http://download.kde.org/unstable/networkmanager-qt/([\d.]+)/src/libnm-qt-([\d.]+).tar.xz
